import { OnDestroy, OnInit } from '@angular/core';
import { InputStrategy } from '../input.component';
import IMask from 'imask';
import { InputPhoneDirective } from './input-phone/input-phone.directive';
import * as i0 from "@angular/core";
export declare class InputPhoneStrategy implements InputStrategy, OnInit, OnDestroy {
    private inputPhone;
    mask: IMask.MaskedPatternOptions;
    private code;
    private subscription;
    constructor(inputPhone: InputPhoneDirective);
    ngOnInit(): void;
    ngOnDestroy(): void;
    format(insideValue: any): string;
    parse(outsideValue: any): import("libphonenumber-js/types").E164Number;
    private setupCountry;
    static ɵfac: i0.ɵɵFactoryDeclaration<InputPhoneStrategy, [{ optional: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<InputPhoneStrategy, "ui-input[type=tel]", never, {}, {}, never>;
}
